# Cube3D

## what this is about
Cube3D is a test case project of the **Unity3D SDK** I made few years ago to test and evaluate all functionalities of the engine.
In such, it's **full 3D playable game** of the rubik's cube puzzle, with executable for Linux (dev platform) windows and even Android.


The purpose was to test :

- Unity3d dev interface
- create asset
- "backend" service (in #net)
- scripts
- simple mathematics / logic interaction
- moving around the 3D world / scene
- animations
- mouse interactions
- keyboard interactions
- Hud interface / management-
- user configuration
- sound with triggering from actions
- loading screen


##Legacy
This project was made several years ago, I didn't go through with unity3D, not the engine wasn't good but I followed a different professional
path and had no time to keep working on this side project.

I'm releasing the code because since it's a full workable project it can be useful for someone starting with the sdk, and, be honest It won't hurt my resume !

Keep in mind **this project is unmaintained** ! Don't ask for any help I won't be able to help you.
In a matter of fact, I can't even guaranty it will open on the current editor without error (but It should be easily fixed).

##Install / open
This is the full Unity3d's project's directory (minus the library). Just point it to the directory you clone/unziped the project)


##Binary / screenshots
==================
alongside the code I build it for some targets for Linux, windows, android. Binaries and screenshot can be found here : 

[http://vostoksystem.com/cube3d](http://vostoksystem.com/cube3d)


##License
Open source, Either you use part of it, I would just ask for a mention on my name.
If you think it worth including on a tutorial database, be my guest!


